# ReflectionFunction::__construct

(PHP 5, PHP 7, PHP 8)

ReflectionFunction::__construct — Construit un nouvel objet ReflectionFunction

### Description

public ReflectionFunction::__construct(Closure|string `$function`)

Construit un nouvel objet ReflectionFunction.

### Liste de paramètres

`function`

  Le nom de la fonction à refléter ou une fermeture.

### Erreurs / Exceptions

Une exception ReflectionException si le paramètre `function` contient une fonction invalide.

### Exemples

Exemple #1 Exemple avec ReflectionFunction::__construct()

`<?php
/**
* Un simple compteur
*
* @return int
*/
function counter1()
{
static $c = 0;
return ++$c;
}
/**
* Une autre simple compteur
*
* @return int
*/
$counter2 = function()
{
static $d = 0;
return ++$d;
};
function dumpReflectionFunction($func)
{
// Affiche des informations basiques
printf(
"\n\n===> The %s function '%s'\n".
" declared in %s\n".
" lines %d to %d\n",
$func->isInternal() ? 'internal' : 'user-defined',
$func->getName(),
$func->getFileName(),
$func->getStartLine(),
$func->getEndline()
);
// Affiche les commentaires de documentation
printf("---> Documentation:\n %s\n", var_export($func->getDocComment(), 1));
// Affiche les variables statiques existantes
if ($statics = $func->getStaticVariables())
{
printf("---> Static variables: %s\n", var_export($statics, 1));
}
}
// Créer une instance de la classe ReflectionFunction
dumpReflectionFunction(new ReflectionFunction('counter1'));
dumpReflectionFunction(new ReflectionFunction($counter2));
?>`

Résultat de l'exemple ci-dessus est similaire à :

    ===> The user-defined function 'counter1'
         declared in Z:\reflectcounter.php
         lines 7 to 11
    ---> Documentation:
     '/**
     * A simple counter
     *
     * @return    int
     */'
    ---> Static variables: array (
      'c' => 0,
    )

    ===> The user-defined function '{closure}'
         declared in Z:\reflectcounter.php
         lines 18 to 23
    ---> Documentation:
     '/**
     * Another simple counter
     *
     * @return    int
     */'
    ---> Static variables: array (
      'd' => 0,
    )

### Voir aussi

- ReflectionMethod::__construct() - Construit un nouvel objet ReflectionMethod
- Les constructeurs